/// <summary>
///  Pantalla de ayuda
///  @author Nacho Cabanes
///  @see Menu Juego
/// </summary>

/* --------------------------------------------------         
   Parte de FreddyTwo
 
   Versiones hasta la fecha:
   
   Num.   Fecha       Por / Cambios
   ---------------------------------------------------
   0.01  03-Feb-2012  Nacho Cabanes
                      Versin inicial: desglosado a partir de 
                        FreddyOne (Juego.cs)
   0.09  31-Mar-2012  Nacho Cabanes
                      Cambiados tipo de letra e imagen de fondo
 ---------------------------------------------------- */

public class Ayuda
{
    Fuente tipoDeLetra;
    Imagen imagenFondo;

    public Ayuda()
    {
        tipoDeLetra = new Fuente("harddisc.ttf", 28);
        imagenFondo = new Imagen("ayuda.jpg");
    }

    public void Mostrar()
    {
        string[] textosAyuda =
        {
          "Recoge los premios",
          "Evita los obstculos y los enemigos",
          "Usa las flechas de cursor para mover",
          "Cuando recojas todos los premios",
          "  avanzars de nivel.",
          "Comienzas con 3 vidas.",
          "Si tocas un obstculo o un enemigo,",
          "  perders una de ellas."
        };

        // ---- Pantalla de presentacin --
        Hardware.BorrarPantallaOculta(0, 0, 0);

        imagenFondo.DibujarOculta(0, 0);

        // Marcador
        Hardware.EscribirTextoOculta("Freddy Two - Ayuda",
                 300, 80, // Coordenadas
                 255, 255, 255, // Colores
                tipoDeLetra);

        // Textos repetitivos
        short posicYtexto = 250;
        foreach (string texto in textosAyuda)
        {
            Hardware.EscribirTextoOculta(texto,
                     150, posicYtexto, // Coordenadas
                     200, 200, 200, // Colores
                    tipoDeLetra);
            posicYtexto += 30;
        }

        Hardware.EscribirTextoOculta("ESC- volver",
                 650, 530, // Coordenadas
                 200, 200, 200, // Colores
                tipoDeLetra);

        Hardware.VisualizarOculta();

        do
        {
            Hardware.Pausa(20);
        } while (!Hardware.TeclaPulsada(Hardware.TECLA_ESC));
    }
} /* Fin de la clase Ayuda */
