/// <summary>
///  Men principal
///  @author Nacho Cabanes
///  @see Ayuda Juego
/// </summary>

/* --------------------------------------------------         
   Parte de FreddyTwo
 
   Versiones hasta la fecha:
   
   Num.   Fecha       Por / Cambios
   ---------------------------------------------------
   0.01  03-Feb-2012  Nacho Cabanes
                      Versin inicial: desglosado a partir de 
                        FreddyOne (Juego.cs)
   0.09  31-Mar-2012  Nacho Cabanes
                      Cambiados tipo de letra e imagen de fondo
 ---------------------------------------------------- */

public class Menu
{
    public const byte OPC_PARTIDA = 0;
    public const byte OPC_SALIR = 1;
    public const byte OPC_CREDITOS = 2;
    public const byte OPC_AYUDA = 3;

    Fuente tipoDeLetra, tipoDeLetraGrande;
    private int opcionEscogida;
    Imagen imagenFondo;

    public Menu()
    {
        tipoDeLetra = new Fuente("harddisc.ttf", 32);
        tipoDeLetraGrande = new Fuente("harddisc.ttf", 120);
        imagenFondo = new Imagen("present.jpg");
    }

    public int GetOpcionEscogida()
    {
        return opcionEscogida;
    }

    public void Mostrar()
    {
        do
        {
            // ---- Pantalla de presentacin --
            Hardware.BorrarPantallaOculta(0, 0, 0);

            imagenFondo.DibujarOculta(0,0);

            // Rtulo, con sombra
            Hardware.EscribirTextoOculta("Freddy Two",
                     100, 50, // Coordenadas
                     200, 200, 200, // Colores
                     tipoDeLetraGrande);
            Hardware.EscribirTextoOculta("Freddy Two",
                     95, 45, // Coordenadas
                     20, 20, 20, // Colores
                     tipoDeLetraGrande);

            Hardware.EscribirTextoOculta("Escoja una opcin:",
                     310, 250, // Coordenadas
                     20, 20, 20, // Colores
                     tipoDeLetra);

            Hardware.EscribirTextoOculta("J.- Jugar una partida",
                     250, 290, // Coordenadas
                     20, 20, 20, // Colores
                    tipoDeLetra);

            Hardware.EscribirTextoOculta("A.- Ayuda",
                     250, 330, // Coordenadas
                     20, 20, 20, // Colores
                     tipoDeLetra);

            Hardware.EscribirTextoOculta("C.- Crditos",
                     250, 370, // Coordenadas
                     20, 20, 20, // Colores
                     tipoDeLetra);

            Hardware.EscribirTextoOculta("S.- Salir",
                     250, 410, // Coordenadas
                     20, 20, 20, // Colores
                     tipoDeLetra);

            Hardware.VisualizarOculta();

            Hardware.Pausa(20);

        } while ((!Hardware.TeclaPulsada(Hardware.TECLA_J))
                 && (!Hardware.TeclaPulsada(Hardware.TECLA_S))
                 && (!Hardware.TeclaPulsada(Hardware.TECLA_C))
                 && (!Hardware.TeclaPulsada(Hardware.TECLA_A)));


        opcionEscogida = OPC_PARTIDA;
        if (Hardware.TeclaPulsada(Hardware.TECLA_S))
            opcionEscogida = OPC_SALIR;
        if (Hardware.TeclaPulsada(Hardware.TECLA_C))
            opcionEscogida = OPC_CREDITOS;
        if (Hardware.TeclaPulsada(Hardware.TECLA_A))
            opcionEscogida = OPC_AYUDA;  

    }
} /* Fin de la clase Men */
